Download it now!
Bug 107663 - Characters overlap when Highlight Colour and italic or underlined
Summary: Characters overlap when Highlight Colour and italic or underlined
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Highlight-Color-Button
  Show dependency treegraph
 
Reported: 2017-05-06 19:50 UTC by marcus.knappert
Modified: 2020-09-04 04:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example screenshot (40.52 KB, image/png)
2017-05-06 19:50 UTC, marcus.knappert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marcus.knappert 2017-05-06 19:50:33 UTC
Created attachment 133106 [details]
Example screenshot

Under certain circumstances characters can overlap, for example in the sequence "f?". 

In order to provoke the bug the following three formattings must be applied:
*Both or at least the last letter must be "Highlight Colour".
*The two letters must differentiate in being italic and being underlined.

For example when both letters are marked yellow and the "f" in "f?" is italic but not the "?", the "?" does overlap with the "f". The same happens with other large letters, for example "T". 

Please find a screenshot with an example attached.

The bug can be found in Writer and Impress but not in calc.
Comment 1 marcus.knappert 2017-05-06 19:53:13 UTC
Sorry, I have to correct myself: Only two conditions must apply, not three.
Comment 2 Telesto 2017-05-06 20:32:04 UTC
Confirming with
Version: 5.4.0.0.alpha1+
Build ID: 274ecb49b70b3f01d47546e3b44317946c106042
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-05_22:45:07
Locale: nl-BE (nl_NL); Calc: single

and with
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2018-09-04 02:54:25 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2020-09-04 04:03:24 UTC
Dear marcus.knappert,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug